Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicegen
Interface ServiceComponent

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  CompositeSC, OrchestrationFlowCompositeSC, ResourceBasedSimpleSC, SimpleSC

    public interface ServiceComponent

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Service Component'. [[ TODO - add documentation here ]]

The following features are supported:

- `Impl Cartridge`

See Also:
  `ServicegenPackage.getServiceComponent()`

Method Summary
`LogicImplCartridge` | `getImplCartridge()` Returns the value of the 'Impl Cartridge' containment reference
`void` | `setImplCartridge(LogicImplCartridge value)` Sets the value of the '`Impl Cartridge`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getImplCartridge

    LogicImplCartridge getImplCartridge()

  Returns the value of the 'Impl Cartridge' containment reference.

  If the meaning of the 'Impl Cartridge' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Impl Cartridge' containment reference.
  See Also:
    `setImplCartridge(LogicImplCartridge)`, `ServicegenPackage.getServiceComponent_ImplCartridge()`

### setImplCartridge

    void setImplCartridge(LogicImplCartridge value)

  Sets the value of the '`Impl Cartridge`' containment reference.

  Parameters:
    `value` - the new value of the 'Impl Cartridge' containment reference.
  See Also:
    `getImplCartridge()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD